From 12f176e078b80a99f0a4b4ad703d2dc324e7b9e2 Mon Sep 17 00:00:00 2001
From: openstagelinux <openstagelinux@gmail.com>
Date: Fri, 27 May 2022 22:27:53 +0200
Subject: [PATCH] kwrite-root

---
 kwrite/main.cpp | 17 +----------------
 1 file changed, 1 insertion(+), 16 deletions(-)

diff --git a/kwrite/main.cpp b/kwrite/main.cpp
index f0022f0..6467051 100644
--- a/kwrite/main.cpp
+++ b/kwrite/main.cpp
@@ -39,22 +39,7 @@
 extern "C" Q_DECL_EXPORT int main(int argc, char **argv)
 {
 #if !defined(Q_OS_WIN) && !defined(Q_OS_HAIKU)
-    // Prohibit using sudo or kdesu (but allow using the root user directly)
-    if (getuid() == 0) {
-        if (!qEnvironmentVariableIsEmpty("SUDO_USER")) {
-            std::cout << "Running KWrite with sudo can cause bugs and expose you to security vulnerabilities. "
-                         "Instead use KWrite normally and you will be prompted for elevated privileges when "
-                         "saving documents if needed."
-                      << std::endl;
-            return EXIT_FAILURE;
-        } else if (!qEnvironmentVariableIsEmpty("KDESU_USER")) {
-            std::cout << "Running KWrite with kdesu can cause bugs and expose you to security vulnerabilities. "
-                         "Instead use KWrite normally and you will be prompted for elevated privileges when "
-                         "saving documents if needed."
-                      << std::endl;
-            return EXIT_FAILURE;
-        }
-    }
+
 #endif
 
     /**
-- 
2.36.1

